Update all the consumables of a consignment. Existing consumables not present in the request will also be removed from the consignment.

​

Path Parameters

Body·

application/json
  • A collection of consignment consumables.

    Properties: 2

Responses

  • OK

Request Example for put/v1/consignments/{consignmentId}/consumables
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/consumables \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "consumables": [
    {
      "consumableTypeId": "123e4567-e89b-12d3-a456-426614174000",
      "value": 1
    }
  ]
}'
No Body